%bcond tests 1
%global forgeurl https://github.com/Rogdham/pyzstd
%define tag %{version}

Name:           python-pyzstd
Version:        0.16.1
%forgemeta
Release:        1%{?dist}
Summary:        Python bindings to Zstandard (zstd) compression library

License:        BSD-3-Clause
URL:            %{forgeurl}
Source:         %{forgesource}

BuildRequires:  gcc
BuildRequires:  python3-devel
BuildRequires:  libzstd-devel
%if %{with tests}
BuildRequires:  %{py3_dist pytest}
%endif

%global _description %{expand:
Pyzstd module provides classes and functions for compressing and decompressing
data, using Facebook’s Zstandard (or zstd as short name) algorithm.}

%description %_description


%package -n python3-pyzstd
Summary:        %{summary}

%description -n python3-pyzstd %_description


%prep
%autosetup -p1 %{forgesetupargs}
# Ensure dynamic-link-zstd is always used
sed -i 's|DYNAMIC_LINK =.*|DYNAMIC_LINK = True|' setup.py
# Stop disabling debuginfo
sed -i "s|'-g0', ||" setup.py
# Fix non-executable-script rpmlint error
sed -i -e '1{\@^#!.*@d}' src/__main__.py


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pyzstd


%check
%pytest


%files -n python3-pyzstd -f %{pyproject_files}
%doc CHANGELOG.md
%doc README.md
%license LICENSE


%changelog
* Mon Aug 05 2024 Maxwell G <maxwell@gtmx.me> - 0.16.1-1
- Update to 0.16.1. Fixes rhbz#2281937.

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 14 2024 Maxwell G <maxwell@gtmx.me> - 0.15.10-3
- Add temporary fix for Python 3.13 FTBFS

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 0.15.10-2
- Rebuilt for Python 3.13

* Sun Apr 07 2024 Maxwell G <maxwell@gtmx.me> - 0.15.10-1
- Initial package (rhbz#2273823).
